import Vue from 'vue';
import App from './App';
// 弹出框
import pubc from '@/common/public.js'
// 多语言本地化
import VueI18n from 'vue-i18n'
import messages from './locale/index'

let i18nConfig = {
  locale: uni.getLocale(),
  messages
}
Vue.use(VueI18n)
const i18n = new VueI18n(i18nConfig)
Vue.config.productionTip = false

 Vue.prototype.$apiHost = 'https://gs.duoxiaoduoxue.cn/Gapi';  //审核包
 // Vue.prototype.$apiHost = '/api/Gapi';
 // Vue.prototype.$apiHost = 'https://storygarden.cn/Gapi';  //审核包
// Vue.prototype.$apiHost = 'https://duoxiaoduoxue.com/Gapi';  //正式包
// Vue.prototype.$apiHost = 'http://192.168.2.154:11070/Gapi';
 // Vue.prototype.now = Date.now || function () {  
 //     return new Date().getTime();  
 // };  
Vue.prototype.isArray = Array.isArray || function (obj) {
     return obj instanceof Array;  
};

App.mpType = 'app'

const app = new Vue({
	i18n,
    ...App
})
app.$mount()
